curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/invoices/refunds/payments \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/invoices/refunds/payments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/invoices/refunds/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"type": "Customer_Refund_Payment",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "31415926535",
"refunded_amount": 123,
"fee": 123,
"completed_at": "2023-11-07T05:31:56Z",
"method": "CREDIT_CARD",
"processor": "STRIPE",
"payment_clearing_account": {
"type": "Single_Chart_Account",
"id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "Current Assets",
"account_number": "4000",
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"normality": "DEBIT",
"account_type": {
"value": "ASSET",
"display_name": "Asset"
},
"account_subtype": {
"value": "BANK_ACCOUNTS",
"display_name": "Current Assets"
}
},
"refunded_payment_fees": [
{
"account": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"description": "<string>",
"fee_amount": 123
}
],
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>"
}
],
"meta": {
"type": "request_metadata",
"pagination": {
"sort_by": "<string>",
"sort_order": "ASC",
"cursor": "<string>",
"has_more": true,
"total_count": 123
}
}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}List refund payments
Fetches a list of customer refund payments for a business. Results can be filtered by various criteria and will be paginated, see Pagination for details.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business to fetch refund payments for.
Query Parameters
Filter refund payments by external ID.
Filter refund payments by completion date. Payments completed on or after this date will be included. ISO 8601 date format.
Filter refund payments by completion date. Payments completed on or before this date will be included. ISO 8601 date format.
Filter refund payments by payment method.
Filter refund payments by processor.
Filter refund payments by minimum amount. Only payments with amounts greater than or equal to this value will be included.
x >= 0Filter refund payments by maximum amount. Only payments with amounts less than or equal to this value will be included.
x >= 0Filter refund payments by whether they are included in a payout.
Filter refund payments by whether they are matched to a bank transaction.
Filter by exact reference number match. Returns only records with this exact reference number.
Comma-separated list of reference numbers to filter refund payments by.